# Copyright (C) SEIKO EPSON CORPORATION 2006.

Name: pipslite
Version: 1.0.2
Release: 2
Source0: %{name}-%{version}.tar.gz
License: GPL
Vendor: EPSON AVASYS Corporation
URL: http://www.avasys.jp/english/linux_e/index.html
Packager: EPSON AVASYS Corporation <pipsnews@avasys.jp>
BuildRoot: /var/tmp/%{name}-%{version}
Group: Hardware/Printing
Conflicts: pipslite-cups
Summary: Photo Image Print System Lite

%description
This software is a Printer Driver (filter) for the high quality print
with SEIKO EPSON Color Ink Jet Printer from the Linux.

This product supports only EPSON ESC/P-R printers. Its function is
same as Photo Image Print System. Unlike Photo Image Print System, 
which requires different pakage for each printer model, only one 
pipslite package can be used for all EPSON ESC/P-R printers.

For detail list of supported printer, please refer to our Web page:
http://www.avasys.jp/

%prep
%setup -q

%build
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
%{_datadir}/pipslite/scripts/inst-lpr-post.sh install
ln -fs %{_datadir}/pipslite/scripts/setup-lpr.sh %{_datadir}/pipslite/setup

%preun
if [ "$1" = 0 ] ; then
        %{_datadir}/pipslite/scripts/inst-lpr-post.sh deinstall
        rm -f %{_datadir}/pipslite/setup
fi

%postun
/sbin/ldconfig

%clean
make clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)

%doc README COPYING COPYING.LIB AUTHORS NEWS ChangeLog

%dir %{_sysconfdir}/pipslite
%{_sysconfdir}/pipslite/ekpdrc

%{_bindir}/ekpstm
%{_bindir}/pipslite

%{_libdir}/liblite.*

%dir %{_datadir}/pipslite
%{_libdir}/pipslite/filterlite

%dir %{_datadir}/pipslite/rc.d
%{_datadir}/pipslite/rc.d/inst-rc_d.sh
%{_datadir}/pipslite/rc.d/ekpd.debian
%{_datadir}/pipslite/rc.d/ekpd.local.slackware
%{_datadir}/pipslite/rc.d/ekpd.redhat
%{_datadir}/pipslite/rc.d/ekpd.slackware

%dir %{_datadir}/pipslite/readme
%{_datadir}/pipslite/readme/readmelite
%{_datadir}/pipslite/readme/readmelite.ja


%dir %{_libdir}/pipslite
%{_libdir}/pipslite/ekpd
%{_libdir}/pipslite/freset
%{_libdir}/pipslite/gsconfig

%dir %{_datadir}/pipslite
%{_datadir}/pipslite/paper_list.csv

%dir %{_datadir}/pipslite/scripts
%{_datadir}/pipslite/scripts/en.lc
%{_datadir}/pipslite/scripts/ja.lc
%{_datadir}/pipslite/scripts/inst-lpr-post.sh
%{_datadir}/pipslite/scripts/setup-lpr.sh

%{_datadir}/locale/*/LC_MESSAGES/pipslite.mo
%{_var}/run/ekplp0


%package -n pipslite-cups
License: GPL
Vendor: EPSON AVASYS Corporation
URL: http://www.avasys.jp/english/linux_e/index.html
Packager: EPSON AVASYS Corporation <pipsnews@avasys.jp>
Group: Hardware/Printing
Conflicts: pipslite
Summary: Photo Image Print System Lite

%description -n pipslite-cups
This software is a filter program used with Common UNIX Printing System
(CUPS) from the Linux. This can supply the high quality print with
SEIKO EPSON Color Ink Jet Printers.

This product supports only EPSON ESC/P-R printers. Its function is 
same as Photo Image Print System. Unlike Photo Image Print System, 
which requires different pakage for each printer model, only one 
pipslite package can be used for all EPSON ESC/P-R printers.

For detail list of supported printer, please refer to our Web page: 
http://www.avasys.jp/

%post -n pipslite-cups
/sbin/ldconfig
%{_datadir}/pipslite/scripts/inst-cups-post.sh install
ln -fs %{_datadir}/pipslite/scripts/setup-cups.sh %{_datadir}/pipslite/setup

%preun -n pipslite-cups
if [ "$1" = 0 ] ; then
        %{_datadir}/pipslite/scripts/inst-cups-post.sh deinstall
        rm -f %{_datadir}/pipslite/setup
fi

%postun -n pipslite-cups
/sbin/ldconfig

%files -n pipslite-cups
%defattr(-,root,root)

%doc README COPYING COPYING.LIB AUTHORS NEWS ChangeLog

%dir %{_sysconfdir}/pipslite
%{_sysconfdir}/pipslite/ekpdrc

%{_bindir}/ekpstm
%{_bindir}/pipslite-install

%{_libdir}/liblite.*

%dir %{_libdir}/cups/backend
%{_libdir}/cups/backend/ekplp

%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/pipstoprinter
%{_libdir}/cups/filter/rastertopips

%dir %{_datadir}/cups/model
%{_datadir}/cups/model/eklite.ppd

%dir %{_datadir}/pipslite/rc.d
%{_datadir}/pipslite/rc.d/inst-rc_d.sh
%{_datadir}/pipslite/rc.d/ekpd.debian
%{_datadir}/pipslite/rc.d/ekpd.local.slackware
%{_datadir}/pipslite/rc.d/ekpd.redhat
%{_datadir}/pipslite/rc.d/ekpd.slackware

%dir %{_datadir}/pipslite/readme
%{_datadir}/pipslite/readme/readmelite-cups
%{_datadir}/pipslite/readme/readmelite-cups.ja

%dir %{_libdir}/pipslite
%{_libdir}/pipslite/ekpd

%dir %{_datadir}/pipslite
%{_datadir}/pipslite/paper_list.csv

%dir %{_datadir}/pipslite/scripts
%{_datadir}/pipslite/scripts/en.lc
%{_datadir}/pipslite/scripts/ja.lc
%{_datadir}/pipslite/scripts/inst-cups-post.sh
%{_datadir}/pipslite/scripts/setup-cups.sh

%{_datadir}/locale/*/LC_MESSAGES/pipslite.mo
%{_var}/run/ekplp0

%changelog -n pipslite
