/*
* Photo Image Print System
* Copyright (C) 2000-2006 EPSON AVASYS Corporation.
* Copyright (C) SEIKO EPSON CORPORATION 2000-2006.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*
* As a special exception, EPSON AVASYS Corporation gives permission to
* link the code of this program with libraries which are covered by
* the EPSON AVASYS Public License and distribute their linked
* combinations. You must obey the GNU General Public License in all
* respects for all of the code used other than the libraries which
* are covered by EPSON AVASYS Public License.
*/
#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#ifndef __PF_IMG_H__
#define __PF_IMG_H__

#include <png.h>
#include "pipsdef.h"
#include "pfdef.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

	typedef struct _MKCODE_STRUCT
	{			
		int conv_status;		/* Progress of the present of processing */
		char* libprt_path;		/* Path of a library */
		HANDLE lib_handle;		/*Handle for libprtX */
		HANDLE prt_handle;		/*  Handle for internal operation of libprtX */
		char** input_files;		/* List of  input file names */
		char* output_file;		/* output file name		
						It is stdout if it is NULL.*/

		LP_PRT_STRUCT lp_prtinfo;	/* Printing parameter */
#ifdef _V1_SUPPORT
		FILE* output_fp;		/* This is used only by esc_through().
						Therefore, it is deleted behind. */
#endif
	} MKC_STRUCT, *LP_MKC_STRUCT;

	/* Public function */
	extern BOOL
	make_code_process (LP_MKC_STRUCT lp_mkcode);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __PF_IMG_H__ */
