/*
 * Photo Image Print System
 * Copyright (C) 2000-2006 EPSON AVASYS Corporation.
 * Copyright (C) SEIKO EPSON CORPORATION 2000-2006.
 *
 *  This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * As a special exception, EPSON AVASYS Corporation gives permission to
 * link the code of this program with libraries which are covered by
 * the EPSON AVASYS Public License and distribute their linked
 * combinations.  You must obey the GNU General Public License in all
 * respects for all of the code used other than the libraries which
 * are covered by EPSON AVASYS Public License.
 */
#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#ifndef __UI_ERROR_H__
#define __UI_ERROR_H__

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define NO_ERROR 0 /* Normal */

#define NO_OPTION_ERROR 1 /*An option does not exist.*/
#define OPTION_LESS_ERROR 2/* There are few arguments of an option. */
#define DUB_FILENAME_ERROR 3  /* There is two or more specification of input file. */
#define OPTION_VALUES_ERROR 4/* The value of an option is mistaken. */
#define CONNECTION_ERROR 5/* Error of the combination pattern of an option */

#define RESOURCE_ERROR 10
#define RESOURCE_FORM_ERROR 11/* Form mistake */
#define NO_RESOURCE_ERROR 12/* A resource does not exist. */
#define RESOURCE_LESS_ERROR 13/* There are few arguments of a resource. */
#define RESOURCE_VALUES_ERROR 14/* The value of a resource is mistaken. */

#define GRAPHICS_LOAD_ERROR 20/* Loading of graphics goes wrong. */
#define NO_FILE_ERROR 21/* A file does not exist. */
#define FAILED_FILE_ERROR 22/* Opening of a file goes wrong. */
#define GRAPHICS_FORMAT_ERROR 23/* It is the format which cannot be processed. */
#define NOT_COMMUNICATE_LPR_ERROR 24 /*Communication with lpr goes wrong. */

#define NO_SUCH_LIBRARY 30 /* There is not  shared library. */
#define LIBRARY_PARAM_ERROR 31 /* Method-for-use mistake in  library */

#define MEMORY_ERROR 40 /* Reservation of a memory goes wrong. */
#define UNEXPECTED_ERROR 41 /* Unexpected error (fatal) */
#define ABNORMAL_END 42  /* Abnormal end */

#define INPUT_ESCP_WARNING 50 /* ESC/P code was inputted. */

int pipsError(char*, int);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _UI_ERROR_H__ */
